#include <iostream>

using namespace std;

int main()
{
    long long i;
    long long T,N,M[i],K,a,b[i];
    long long arr[T];
    bool c=false;
    cin>>T;
    for(int i=0;i<=T-1;i++)
    {
        arr[i]=0;
    }
    b[i]=0;
    for(int i=1;i<=T;i++)
    {
        cin>>N>>M[i]>>K;
        a=N-K+1;
        for(int j=1;j<=a;j++)
        {
            b[i]+=j;

        }
        if(b[i]+K-1<M[i])
        {
            c=true;
            arr[i-1]=1;
        }
        else
        {
            c=false;
            arr[i-1]=0;
        }
        b[i]=0;
    }
    for(int i=0;i<=T-1;i++)
    {
        if(arr[i]==1)
            cout<<"Tak"<<endl;
        else
            cout<<"Nie"<<endl;
    }
    return 0;
}